
files = {
    "chest": range(0, 27),
    "box27": range(0, 27),
    "box9": range(0, 9),
    "furnace": [2],
    "hopper": range(0, 5),
}

def main():
    with open("template_prefix.mcfunction", mode="r") as fin:
        str_prefix = fin.read()
    with open("template.mcfunction", mode="r") as fin:
        str_code = fin.read()
    for name in files:
        with open(name + ".mcfunction", mode="w", encoding="utf-8" ) as fout:
            fout.write(str_prefix);
            fout.write("\r\n");
            for num in files[name]:
                fout.write(str_code.replace("Slot:-0b", "Slot:%db" % num))
                fout.write("\r\n");
                pass;

if __name__ == '__main__':
    main();
