
files = {
    "chest": range(0, 27),
    "box27": range(0, 27),
    "box9": range(0, 9),
    "furnace_top": [0],
    "furnace_back": [1],
    "hopper": range(0, 5),
}

def main():
    with open("template_prefix.mcfunction", mode="r") as fin:
        str_prefix = fin.read()
    with open("template_empty.mcfunction", mode="r") as fin:
        str_code_empty = fin.read()
    with open("template_stack.mcfunction", mode="r") as fin:
        str_code_stack = fin.read()
    for name in files:
        with open(name + "_empty.mcfunction", mode="w", encoding="utf-8" ) as fout:
            fout.write(str_prefix);
            fout.write("\r\n");
            for num in files[name]:
                fout.write(str_code_empty.replace("Slot:-0b", "Slot:%db" % num))
                fout.write("\r\n");
        with open(name + "_stack.mcfunction", mode="w", encoding="utf-8" ) as fout:
            fout.write(str_prefix);
            fout.write("\r\n");
            for num in files[name]:
                fout.write(str_code_stack.replace("Slot:-0b", "Slot:%db" % num))
                fout.write("\r\n");


if __name__ == '__main__':
    main();
